本文引用以下文档

1. https://github.com/tetranz/select2entity-bundle
2. https://stackoverflow.com/questions/40223849/uncaught-typeerror-s2-select2-is-not-a-function

按照github上的官方文档都可以安装成功,本文主要介绍引入js时导致报错的问题,这点官方文档因时间太久不正确了。

按照官方文档安装完成会报错
Uncaught TypeError: $s2.select2 is not a function
需要自行下载官方的js和css,地址分别为
https://github.com/select2/select2/blob/4.0.0/dist/css/select2.css
https://github.com/select2/select2/blob/4.0.0/dist/js/select2.js
下载成功后放入项目,首先引入这两个资源,然后在引入官方文档里写的js,才可以无报错应用成功。

分类: symfony

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据